/* LibraryPluginLoader.h */

/* Copyright (C) 2011-2015  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef LIBRARYPLUGINLOADER_H
#define LIBRARYPLUGINLOADER_H

#include <QDir>
#include <QList>
#include <QPluginLoader>
#include <QWidget>

#include "LibraryContainer/LibraryContainer.h"

#include "GUI/Helper/SayonaraWidget.h"


class LibraryPluginHandler :
		public QObject,
		protected SayonaraClass
{

	Q_OBJECT

private:
	QList<LibraryContainerInterface*>	_libraries;
	int _cur_idx;


public:
	LibraryPluginHandler(QObject* parent=nullptr);
	~LibraryPluginHandler();

	void init(const QList<LibraryContainerInterface*>& containers);

	QList<LibraryContainerInterface*> get_libraries() const;
	LibraryContainerInterface* get_cur_library() const;


private slots:
	void index_changed(int idx);
	void language_changed();
};

#endif // LIBRARYPLUGINLOADER_H
